import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ScrollToSelectedDirective implements OnInit {
    private el;
    private renderer;
    scrollToClass: string;
    onClick(e: any): void;
    constructor(el: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    rerenderView(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollToSelectedDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ScrollToSelectedDirective, "[scrollToSelected]", never, { "scrollToClass": { "alias": "scrollToClass"; "required": false; }; }, {}, never, never, false, never>;
}
